local createCompositionBegin_Animation = nil
local createCompositioncloudy_lines_animation_comp = nil
local createCompositionLens_Anination_all_in_one = nil
local createCompositionligth_lines_comp = nil
local createCompositionParticles_White_All = nil
local createCompositionDark_Tales_hint_animation_main = nil
---------------------------------------------------------------------------------------
local PREFIX_PATH = "data/Texture/GUI/Panel/HintAnim/"
---------------------------------------------------------------------------------------

function PlayHintComposition(x, y, z)

	local origCreateCompositionElement = CreateCompositionElement;
	CreateCompositionElement = function (resourceName)
		assert(origCreateCompositionElement);
		local element = origCreateCompositionElement(resourceName);
	    local textureName = string.sub(resourceName, string.len(PREFIX_PATH) + 1);
		local anim = element:GetTexture();

		if textureName == "light_blue.png" then
            local anim = element:GetTexture()
            anim:SetBlendMode(0)
        end
        if textureName == "start_glow_blue_00000.png" then
            local anim = element:GetTexture()
            anim:SetBlendMode(0)
        end
        if textureName == "Lens_Animation_[].png" then
            local anim = element:GetTexture()
            anim:SetTextureRect(0,0,240,146)
            anim:SetFrames(27)
            anim:SetFrame(0)
            anim:SetSpeed(12)
            anim:SetMode(HGEANIM_FWD + HGEANIM_NOLOOP)
            anim:Play()
        end
        if textureName == "Lines_[].png" then
            local anim = element:GetTexture()
            anim:SetTextureRect(0,0,570,130)
            anim:SetFrames(24)
            anim:SetFrame(0)
            anim:SetSpeed(16)
            anim:SetMode(HGEANIM_FWD + HGEANIM_NOLOOP)
            anim:SetBlendMode(0)
            anim:Play()
        end
        if textureName == "Particles_White_[].png" then
            local anim = element:GetTexture()
            anim:SetTextureRect(0,0,244,112)
            anim:SetFrames(48)
            anim:SetFrame(0)
            anim:SetSpeed(24)
            anim:SetMode(HGEANIM_FWD + HGEANIM_NOLOOP)
            anim:SetBlendMode(0)
            anim:Play()
        end
        if textureName == "Path_iz_Particlov_[].png" then
            local anim = element:GetTexture()
            anim:SetTextureRect(0,0,652,126)
            anim:SetFrames(30)
            anim:SetFrame(0)
            anim:SetSpeed(12)
            anim:SetMode(HGEANIM_FWD + HGEANIM_NOLOOP)
            anim:SetBlendMode(0)
            anim:Play()
        end
        if textureName == "Smoke_In_[].png" then
            local anim = element:GetTexture()
            anim:SetTextureRect(0,0,204,216)
            anim:SetFrames(16)
            anim:SetFrame(0)
            anim:SetSpeed(12)
            anim:SetMode(HGEANIM_FWD + HGEANIM_NOLOOP)
            anim:Play()
        end
	    
	    element:SetFrameSynchronizationActive(true)
		return element;
	end

	-- hint element data calculation
	local boltPos = {x = 1000, y = 680}
	local pos = Vector(boltPos.x - x, 
                       boltPos.y - y);
	local distance = pos:Length();
	local boltScale = distance / 750.0;
	local boltAngle = pos:Angle(nil);
	if z < 435 then -- MAGIC NUMBER
	    z = 436
	end

	-- composition creation
	local hint = createCompositionDark_Tales_hint_animation_main({x = x, y = y},
										                         {pos = boltPos, scale = boltScale, angle = boltAngle, distance = distance});
	hint:SetHotSpot(512,384)
	hint:SetXY(512, 384)
	hint:SetZ( z )
    hint:AttachTo(play_field:GetLevelScreen())
	hint:SetLayer( GetCurrentLevel():GetPanel():GetLayer() + 1)
	
	CreateCompositionElement = origCreateCompositionElement;
end
---------------------------------------------------------------------------------------
 
createCompositionDark_Tales_hint_animation_main = function(targetPos, boltInfo)
	local compositionDark_Tales_hint_animation_main = CreateCompositionSequence()
	local compositionDuration = 4
	compositionDark_Tales_hint_animation_main:SetDuration(compositionDuration)
 
 
	-- Layer Layer_1
	local element = createCompositionLens_Anination_all_in_one()
	element:SetName("Layer_1")
	compositionDark_Tales_hint_animation_main:AddElement(element)
	element:SetHotSpot(512, 384)
	element:SetParentElement(compositionDark_Tales_hint_animation_main)
	element:SetXY(targetPos.x, targetPos.y)
 
 
	local effector = element:GetEffector()
	effector:SetLifeTime(1.29166666666667, 4)
	effector:SetKey(_TRACK_O, 3.5, 1)
	effector:SetKey(_TRACK_O, 3.95833333333333, 0)
	effector:Play()
 
 
	-- Layer Layer_2
	local element = createCompositionBegin_Animation()
	element:SetName("Layer_2")
	compositionDark_Tales_hint_animation_main:AddElement(element)
	element:SetHotSpot(901, 381)
	element:SetParentElement(compositionDark_Tales_hint_animation_main)
	element:SetXY(boltInfo.pos.x, boltInfo.pos.y)
	element:SetScaleX(boltInfo.scale)
	element:SetAngle(boltInfo.angle)
	
	
 
	local effector = element:GetEffector()
	effector:SetLifeTime(0, 3)
	effector:Play()
 
	compositionDark_Tales_hint_animation_main:Play()
 
	return compositionDark_Tales_hint_animation_main
end
---------------------------------------------------------------------------------------

createCompositionBegin_Animation = function()
	local compositionBegin_Animation = CreateCompositionSequence()
	local compositionDuration = 3
	compositionBegin_Animation:SetDuration(compositionDuration)
 
 
	-- Layer Layer_1
	local element = createCompositionParticles_White_All()
	element:SetName("Layer_1")
	compositionBegin_Animation:AddElement(element)
	element:SetHotSpot(962, 48)
	element:SetParentElement(compositionBegin_Animation)
	element:SetXY(884, 376)
 
	element:SetScaleX(0.8484025761674)
	element:SetScaleY(0.79649838395087)
	element:SetAngle(0.6108652375)
 
	local effector = element:GetEffector()
	effector:SetLifeTime(0, 3)
	effector:Play()
 
 
	-- Layer Layer_2
	local element = CreateCompositionElement(PREFIX_PATH.."start_glow_blue_00000.png")
	element:SetName("Layer_2")
	compositionBegin_Animation:AddElement(element)
	element:SetHotSpot(65, 33)
	element:SetParentElement(compositionBegin_Animation)
	element:SetXY(933, 390)
 
	element:SetAngle(1.570796325)
 
	local effector = element:GetEffector()
	effector:SetLifeTime(0, 1.20833333333333)
	effector:SetKey(_TRACK_SX, 0, 1.39705418525658)
	effector:SetKey(_TRACK_SY, 0, 0.75300651744775)
	effector:SetKey(_TRACK_SX, 1.16666666666667, 1.39705418525658)
	effector:SetKey(_TRACK_SY, 1.16666666666667, 3.04630736408261)
	effector:SetKey(_TRACK_SX, 2.16666666666667, 1.24545676142398)
	effector:SetKey(_TRACK_SY, 2.16666666666667, 2.84280574803347)
	effector:SetKey(_TRACK_O, 0, 0)
	effector:SetKey(_TRACK_O, 0.19999186197917, 0.30244144347096)
	effector:SetKey(_TRACK_O, 0.375, 0.55000000644542)
	effector:SetKey(_TRACK_O, 0.39998372395833, 0.54839613397324)
	effector:SetKey(_TRACK_O, 0.79166666666667, 0.65)
	effector:SetKey(_TRACK_O, 1.16666666666667, 0)
	effector:Play()
 
 
	-- Layer Layer_3
	local element = createCompositionligth_lines_comp()
	element:SetName("Layer_3")
	compositionBegin_Animation:AddElement(element)
	element:SetHotSpot(964, 46)
	element:SetParentElement(compositionBegin_Animation)
	element:SetXY(954, 380)
 
	element:SetAngle(0.663225115)
 
	local effector = element:GetEffector()
	effector:SetLifeTime(0.25, 2.5)
	effector:SetKey(_TRACK_SX, 0.25, 0.5)
	effector:SetKey(_TRACK_SY, 0.25, 0.41322314049587)
	effector:SetKey(_TRACK_SX, 0.44999186197917, 0.57161633685677)
	effector:SetKey(_TRACK_SY, 0.44999186197917, 0.49726876247489)
	effector:SetKey(_TRACK_SX, 0.64998372395833, 0.63946419312523)
	effector:SetKey(_TRACK_SY, 0.64998372395833, 0.57689186314166)
	effector:SetKey(_TRACK_SX, 0.85001627604167, 0.70395662054537)
	effector:SetKey(_TRACK_SY, 0.85001627604167, 0.65257719092931)
	effector:SetKey(_TRACK_SX, 1.05000813802083, 0.76488108333512)
	effector:SetKey(_TRACK_SY, 1.05000813802083, 0.72407531188581)
	effector:SetKey(_TRACK_SX, 1.25, 0.82181443961878)
	effector:SetKey(_TRACK_SY, 1.25, 0.79088965607303)
	effector:SetKey(_TRACK_SX, 1.44999186197917, 0.87405654581638)
	effector:SetKey(_TRACK_SY, 1.44999186197917, 0.85219857916352)
	effector:SetKey(_TRACK_SX, 1.64998372395833, 0.92052858182335)
	effector:SetKey(_TRACK_SY, 1.64998372395833, 0.90673601960753)
	effector:SetKey(_TRACK_SX, 1.85001627604167, 0.95951608091689)
	effector:SetKey(_TRACK_SY, 1.85001627604167, 0.95248993872939)
	effector:SetKey(_TRACK_SX, 2.05000813802083, 0.98801542685933)
	effector:SetKey(_TRACK_SY, 2.05000813802083, 0.98593546346002)
	effector:SetKey(_TRACK_SX, 2.16666666666667, 0.84340880082822)
	effector:SetKey(_TRACK_SY, 2.16666666666667, 0.79063792192973)
	effector:SetKey(_TRACK_SX, 2.25, 1)
	effector:SetKey(_TRACK_SY, 2.25, 1)
	effector:SetKey(_TRACK_O, 0.25, 0)
	effector:SetKey(_TRACK_O, 1.08333333333333, 0.35)
	effector:SetKey(_TRACK_O, 1.66666666666667, 0.35)
	effector:SetKey(_TRACK_O, 2.45833333333333, 0)
	effector:Play()
 
 
	-- Layer Layer_4
	local element = createCompositioncloudy_lines_animation_comp()
	element:SetName("Layer_4")
	compositionBegin_Animation:AddElement(element)
	element:SetHotSpot(986, 32)
	element:SetParentElement(compositionBegin_Animation)
	element:SetXY(964, 376)
 
	element:SetScaleX(0.8484025761674)
	element:SetScaleY(0.79649838395087)
	element:SetAngle(0.593411945)
 
	local effector = element:GetEffector()
	effector:SetLifeTime(0.5, 3)
	effector:SetKey(_TRACK_O, 0.5, 0)
	effector:SetKey(_TRACK_O, 1.04166666666667, 0.51711998355865)
	effector:SetKey(_TRACK_O, 1.66666666666667, 0.51711998355865)
	effector:SetKey(_TRACK_O, 2.54166666666667, 0.25855999177933)
	effector:SetKey(_TRACK_O, 2.95833333333333, 0)
	effector:Play()
 
	compositionBegin_Animation:Play()
 
	return compositionBegin_Animation
end
 
createCompositioncloudy_lines_animation_comp = function()
	local compositioncloudy_lines_animation_comp = CreateCompositionSequence()
	local compositionDuration = 2.5
	compositioncloudy_lines_animation_comp:SetDuration(compositionDuration)
 
 
	-- Layer Layer_1
	local element = CreateCompositionElement(PREFIX_PATH.."Path_iz_Particlov_[].png")
	element:SetName("Layer_1")
	compositioncloudy_lines_animation_comp:AddElement(element)
	element:SetHotSpot(0, 67)
	element:SetParentElement(compositioncloudy_lines_animation_comp)
	element:SetXY(972, 58)
 
	element:SetScaleX(1.32119386300136)
	element:SetScaleY(-1.84211353300346)
	element:SetAngle(2.52814101938418)
 
	local effector = element:GetEffector()
	effector:SetLifeTime(0, 2.5)
	effector:Play()
 
 
	-- Layer Layer_2
	local element = CreateCompositionElement(PREFIX_PATH.."Path_iz_Particlov_[].png")
	element:SetName("Layer_2")
	compositioncloudy_lines_animation_comp:AddElement(element)
	element:SetHotSpot(0, 67)
	element:SetParentElement(compositioncloudy_lines_animation_comp)
	element:SetXY(826, 176)
 
	element:SetScaleX(1.32119386300136)
	element:SetScaleY(2.34921340881684)
	element:SetAngle(2.52814101938418)
 
	local effector = element:GetEffector()
	effector:SetLifeTime(0, 2.5)
	effector:Play()
 
	compositioncloudy_lines_animation_comp:Play()
 
	return compositioncloudy_lines_animation_comp
end
 
createCompositionLens_Anination_all_in_one = function()
	local compositionLens_Anination_all_in_one = CreateCompositionSequence()
	local compositionDuration = 2.70833333333333
	compositionLens_Anination_all_in_one:SetDuration(compositionDuration)
 
 
	-- Layer Layer_1
	local element = CreateCompositionElement(PREFIX_PATH.."light_blue.png")
	element:SetName("Layer_1")
	compositionLens_Anination_all_in_one:AddElement(element)
	element:SetHotSpot(24, 29)
	element:SetParentElement(compositionLens_Anination_all_in_one)
	element:SetXY(444, 426)
 
	element:SetScaleX(1.75)
	element:SetScaleY(1.82758620689655)
 
	local effector = element:GetEffector()
	effector:SetLifeTime(1.91666666666667, 2.375)
	effector:SetKey(_TRACK_O, 1.91666666666667, 0)
	effector:SetKey(_TRACK_O, 2.125, 0.45)
	effector:SetKey(_TRACK_O, 2.33333333333333, 0)
	effector:Play()
 
 
	-- Layer Layer_2
	local element = CreateCompositionElement(PREFIX_PATH.."light_blue.png")
	element:SetName("Layer_2")
	compositionLens_Anination_all_in_one:AddElement(element)
	element:SetHotSpot(24, 29)
	element:SetParentElement(compositionLens_Anination_all_in_one)
	element:SetXY(444, 426)
 
	element:SetScaleX(1.75)
	element:SetScaleY(1.82758620689655)
 
	local effector = element:GetEffector()
	effector:SetLifeTime(1.91666666666667, 2.375)
	effector:SetKey(_TRACK_O, 1.91666666666667, 0)
	effector:SetKey(_TRACK_O, 2.125, 0.45)
	effector:SetKey(_TRACK_O, 2.33333333333333, 0)
	effector:Play()
 
 
	-- Layer Layer_3
	local element = CreateCompositionElement(PREFIX_PATH.."light_blue.png")
	element:SetName("Layer_3")
	compositionLens_Anination_all_in_one:AddElement(element)
	element:SetHotSpot(24, 29)
	element:SetParentElement(compositionLens_Anination_all_in_one)
	element:SetXY(626, 384)
 
	element:SetScaleX(1.75)
	element:SetScaleY(1.82758620689655)
 
	local effector = element:GetEffector()
	effector:SetLifeTime(1.91666666666667, 2.375)
	effector:SetKey(_TRACK_O, 1.91666666666667, 0)
	effector:SetKey(_TRACK_O, 2.125, 0.45)
	effector:SetKey(_TRACK_O, 2.33333333333333, 0)
	effector:Play()
 
 
	-- Layer Layer_4
	local element = CreateCompositionElement(PREFIX_PATH.."light_blue.png")
	element:SetName("Layer_4")
	compositionLens_Anination_all_in_one:AddElement(element)
	element:SetHotSpot(24, 29)
	element:SetParentElement(compositionLens_Anination_all_in_one)
	element:SetXY(626, 384)
 
	element:SetScaleX(1.75)
	element:SetScaleY(1.82758620689655)
 
	local effector = element:GetEffector()
	effector:SetLifeTime(1.625, 2.08333333333333)
	effector:SetKey(_TRACK_O, 1.625, 0)
	effector:SetKey(_TRACK_O, 1.83333333333333, 0.45)
	effector:SetKey(_TRACK_O, 2.04166666666667, 0)
	effector:Play()
 
 
	-- Layer Layer_5
	local element = CreateCompositionElement(PREFIX_PATH.."light_blue.png")
	element:SetName("Layer_5")
	compositionLens_Anination_all_in_one:AddElement(element)
	element:SetHotSpot(24, 29)
	element:SetParentElement(compositionLens_Anination_all_in_one)
	element:SetXY(504, 329)
 
	element:SetScaleX(2.54166666666667)
	element:SetScaleY(0.86206896551724)
 
	local effector = element:GetEffector()
	effector:SetLifeTime(1.91666666666667, 2.375)
	effector:SetKey(_TRACK_O, 1.91666666666667, 0)
	effector:SetKey(_TRACK_O, 2.125, 0.45)
	effector:SetKey(_TRACK_O, 2.33333333333333, 0)
	effector:Play()
 
 
	-- Layer Layer_6
	local element = CreateCompositionElement(PREFIX_PATH.."light_blue.png")
	element:SetName("Layer_6")
	compositionLens_Anination_all_in_one:AddElement(element)
	element:SetHotSpot(24, 29)
	element:SetParentElement(compositionLens_Anination_all_in_one)
	element:SetXY(557, 345)
 
	element:SetScaleX(1.75)
	element:SetScaleY(1.82758620689655)
 
	local effector = element:GetEffector()
	effector:SetLifeTime(1.79166666666667, 2.25)
	effector:SetKey(_TRACK_O, 1.79166666666667, 0)
	effector:SetKey(_TRACK_O, 2, 0.45)
	effector:SetKey(_TRACK_O, 2.20833333333333, 0)
	effector:Play()
 
 
	-- Layer Layer_7
	local element = CreateCompositionElement(PREFIX_PATH.."light_blue.png")
	element:SetName("Layer_7")
	compositionLens_Anination_all_in_one:AddElement(element)
	element:SetHotSpot(24, 29)
	element:SetParentElement(compositionLens_Anination_all_in_one)
	element:SetXY(587, 388)
 
	element:SetScaleX(2.45833333333334)
	element:SetScaleY(1.41379310344828)
 
	local effector = element:GetEffector()
	effector:SetLifeTime(1.66666666666667, 2.125)
	effector:SetKey(_TRACK_O, 1.66666666666667, 0)
	effector:SetKey(_TRACK_O, 1.875, 0.45)
	effector:SetKey(_TRACK_O, 2.08333333333333, 0)
	effector:Play()
 
 
	-- Layer Layer_8
	local element = CreateCompositionElement(PREFIX_PATH.."light_blue.png")
	element:SetName("Layer_8")
	compositionLens_Anination_all_in_one:AddElement(element)
	element:SetHotSpot(24, 29)
	element:SetParentElement(compositionLens_Anination_all_in_one)
	element:SetXY(478, 444)
 
	element:SetScaleX(2.45833333333334)
	element:SetScaleY(1.41379310344828)
 
	local effector = element:GetEffector()
	effector:SetLifeTime(1.54166666666667, 2)
	effector:SetKey(_TRACK_O, 1.54166666666667, 0)
	effector:SetKey(_TRACK_O, 1.75, 0.45)
	effector:SetKey(_TRACK_O, 1.95833333333333, 0)
	effector:Play()
 
 
	-- Layer Layer_9
	local element = CreateCompositionElement(PREFIX_PATH.."light_blue.png")
	element:SetName("Layer_9")
	compositionLens_Anination_all_in_one:AddElement(element)
	element:SetHotSpot(24, 29)
	element:SetParentElement(compositionLens_Anination_all_in_one)
	element:SetXY(453, 378)
 
	element:SetScaleX(1.625)
	element:SetScaleY(2.72413793103448)
 
	local effector = element:GetEffector()
	effector:SetLifeTime(1.41666666666667, 1.875)
	effector:SetKey(_TRACK_O, 1.41666666666667, 0)
	effector:SetKey(_TRACK_O, 1.625, 0.45)
	effector:SetKey(_TRACK_O, 1.83333333333333, 0)
	effector:Play()
 
 
	-- Layer Layer_10
	local element = CreateCompositionElement(PREFIX_PATH.."light_blue.png")
	element:SetName("Layer_10")
	compositionLens_Anination_all_in_one:AddElement(element)
	element:SetHotSpot(24, 29)
	element:SetParentElement(compositionLens_Anination_all_in_one)
	element:SetXY(512, 385)
 
	element:SetScaleX(11.5)
	element:SetScaleY(3.27586206896552)
 
	local effector = element:GetEffector()
	effector:SetLifeTime(1.16666666666667, 1.625)
	effector:SetKey(_TRACK_O, 1.16666666666667, 0)
	effector:SetKey(_TRACK_O, 1.375, 0.45)
	effector:SetKey(_TRACK_O, 1.58333333333333, 0)
	effector:Play()
 
 
	-- Layer Layer_11
	local element = CreateCompositionElement(PREFIX_PATH.."light_blue.png")
	element:SetName("Layer_11")
	compositionLens_Anination_all_in_one:AddElement(element)
	element:SetHotSpot(24, 29)
	element:SetParentElement(compositionLens_Anination_all_in_one)
	element:SetXY(507, 381)
 
	element:SetScaleX(4.45833333333333)
	element:SetScaleY(4.03448275862069)
 
	local effector = element:GetEffector()
	effector:SetLifeTime(0.91666666666667, 1.375)
	effector:SetKey(_TRACK_O, 0.91666666666667, 0)
	effector:SetKey(_TRACK_O, 1.125, 0.45)
	effector:SetKey(_TRACK_O, 1.33333333333333, 0)
	effector:Play()
 
 
	-- Layer Layer_12
	local element = CreateCompositionElement(PREFIX_PATH.."start_glow_blue_00000.png")
	element:SetName("Layer_12")
	compositionLens_Anination_all_in_one:AddElement(element)
	element:SetHotSpot(77, 84)
	element:SetParentElement(compositionLens_Anination_all_in_one)
	element:SetXY(513, 371)
 
	element:SetScaleX(1.83270962010623)
	element:SetScaleY(1.60884456870837)
	element:SetAngle(0.90757121)
 
	local effector = element:GetEffector()
	effector:SetLifeTime(0, 1.20833333333333)
	effector:SetKey(_TRACK_O, 0, 0)
	effector:SetKey(_TRACK_O, 0.20833333333333, 0.5)
	effector:SetKey(_TRACK_O, 0.375, 0.29)
	effector:SetKey(_TRACK_O, 0.5, 0.57)
	effector:SetKey(_TRACK_O, 0.66666666666667, 0.23)
	effector:SetKey(_TRACK_O, 0.83333333333333, 0.84)
	effector:SetKey(_TRACK_O, 1.16666666666667, 0)
	effector:Play()
 
 
	-- Layer Layer_13
	local element = CreateCompositionElement(PREFIX_PATH.."Smoke_In_[].png")
	element:SetName("Layer_13")
	compositionLens_Anination_all_in_one:AddElement(element)
	element:SetHotSpot(102, 108)
	element:SetParentElement(compositionLens_Anination_all_in_one)
	element:SetXY(516, 388)
 
 
	local effector = element:GetEffector()
	effector:SetLifeTime(0.20833333333333, 1.54166666666667)
	effector:Play()
 
 
	-- Layer Layer_14
	local element = CreateCompositionElement(PREFIX_PATH.."Lens_Animation_[].png")
	element:SetName("Layer_14")
	compositionLens_Anination_all_in_one:AddElement(element)
	element:SetHotSpot(120, 73)
	element:SetParentElement(compositionLens_Anination_all_in_one)
	element:SetXY(543, 394)
 
 
	local effector = element:GetEffector()
	effector:SetLifeTime(0.45833333333333, 2.70833333333333)
	effector:Play()
 
	compositionLens_Anination_all_in_one:Play()
 
	return compositionLens_Anination_all_in_one
end
 
createCompositionligth_lines_comp = function()
	local compositionligth_lines_comp = CreateCompositionSequence()
	local compositionDuration = 2.25
	compositionligth_lines_comp:SetDuration(compositionDuration)
 
 
	-- Layer Layer_1
	local element = CreateCompositionElement(PREFIX_PATH.."Lines_[].png")
	element:SetName("Layer_1")
	compositionligth_lines_comp:AddElement(element)
	element:SetHotSpot(0, 66)
	element:SetParentElement(compositionligth_lines_comp)
	element:SetXY(664, 322)
 
	element:SetAngle(-3.87384130147132)
 
	local effector = element:GetEffector()
	effector:SetLifeTime(0.75, 2.25)
	effector:SetKey(_TRACK_O, 0.75, 0)
	effector:SetKey(_TRACK_O, 1.5, 1)
	effector:SetKey(_TRACK_O, 2.16666666666667, 0.02)
	effector:Play()
 
 
	-- Layer Layer_2
	local element = CreateCompositionElement(PREFIX_PATH.."Lines_[].png")
	element:SetName("Layer_2")
	compositionligth_lines_comp:AddElement(element)
	element:SetHotSpot(0, 66)
	element:SetParentElement(compositionligth_lines_comp)
	element:SetXY(950, 70)
 
	element:SetAngle(-3.85985329420923)
 
	local effector = element:GetEffector()
	effector:SetLifeTime(0, 1.5)
	effector:SetKey(_TRACK_O, 0.83333333333333, 1)
	effector:SetKey(_TRACK_O, 1.5, 0)
	effector:Play()
 
	compositionligth_lines_comp:Play()
 
	return compositionligth_lines_comp
end
 
createCompositionParticles_White_All = function()
	local compositionParticles_White_All = CreateCompositionSequence()
	local compositionDuration = 3
	compositionParticles_White_All:SetDuration(compositionDuration)
 
 
	-- Layer Layer_1
	local element = CreateCompositionElement(PREFIX_PATH.."Particles_White_[].png")
	element:SetName("Layer_1")
	compositionParticles_White_All:AddElement(element)
	element:SetHotSpot(122, 56)
	element:SetParentElement(compositionParticles_White_All)
	element:SetXY(493, 371)
 
	element:SetScaleX(1.28265648247789)
	element:SetScaleY(1)
	element:SetAngle(-0.62831853)
 
	local effector = element:GetEffector()
	effector:SetLifeTime(1, 3)
	effector:Play()
 
 
	-- Layer Layer_2
	local element = CreateCompositionElement(PREFIX_PATH.."Particles_White_[].png")
	element:SetName("Layer_2")
	compositionParticles_White_All:AddElement(element)
	element:SetHotSpot(122, 56)
	element:SetParentElement(compositionParticles_White_All)
	element:SetXY(756, 256)
 
	element:SetScaleX(1.34347596229527)
	element:SetScaleY(1)
	element:SetAngle(-0.62831853)
 
	local effector = element:GetEffector()
	effector:SetLifeTime(0.54166666666667, 2.54166666666667)
	effector:Play()
 
 
	-- Layer Layer_3
	local element = CreateCompositionElement(PREFIX_PATH.."Particles_White_[].png")
	element:SetName("Layer_3")
	compositionParticles_White_All:AddElement(element)
	element:SetHotSpot(122, 56)
	element:SetParentElement(compositionParticles_White_All)
	element:SetXY(915, 78)
 
	element:SetAngle(-0.62831853)
 
	local effector = element:GetEffector()
	effector:SetLifeTime(0, 2)
	effector:Play()
 
	compositionParticles_White_All:Play()
 
	return compositionParticles_White_All
end
 
